html, body {
  overflow: hidden;
  width: 100%;
  height: 100%;
}

body {
  opacity: 0;
  transition: all 1s;
}

#wrapper {
  position: relative;
  width: 100%;
  height: 100%;
}

#navbarTop {
  font-weight: bold;
}

#sidebarMenu {
  position: absolute;
  left: -300px;
  top: 0;
  z-index: 999;
  
  overflow: hidden;
  
  max-width: 300px;
  
  width: inherit;
  height: 100%;
  
  transition: all 1s;
  transform-origin: left center; /* Set the transformed position of sidebar to center left side. */
}

#sidebarMenu.hidden {
  opacity: 0;
}

#sidebarMenuContent {
}

#searchResultContainer {
}

#searchResultHeader {
  margin-top: 10px;
}

#searchResultList {
  padding-right: 5px;
}

.searchResult {
  padding: 10px;
  padding-right: 0;
  margin-right: 10px;
}

#mainContainer {  
  position: relative;
  left: 0;
  top: 0;
  
  margin-left: 0;
  
  height: 100%;
  width: 100%;
  
  transition: all 1s;
}

#detailContainer {
  width: 100%;
  max-width: 750px;
  margin: 0 auto;
}

#detailContainer>div {
  margin-bottom: 15px;
}

#detailName {
  --notchSize: 25px;
  
  min-height: 50px;
  margin-bottom: 20px;
  padding: 0 var(--notchSize);
  padding-left: 15px;
  
  clip-path: polygon(
    0% 0%,
    100% 0%,
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    0% 100% );
}

#detailCharacteristicsWrapper {
  display: flex;
  max-width: 750px;
  flex-wrap: wrap;
  justify-content: space-around;
}

.detailCharacteristics {
  position: relative;
  
  width: 100px;
  height: 100px;
  margin-right: 5px;
  margin-bottom: 10px;
  text-align: center;
}

.detailCharacteristics:last-of-type {
  margin-right: 0;
}

.detailCharacteristicsBackground {
  position: absolute;
  z-index: -1;
}

.detailCharacteristicsBackgroundBar {
  --notchSize: 7px;
  
  height: 18px;
  width: 100px;
  
  margin-bottom: 2.66px;
  padding: var(--notchSize);

  clip-path: polygon(
    0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)) );
}

.detailCharacteristicsBackgroundBar.bottom {
  height: 38px;
  margin-bottom: 0;
}

.detailCharacteristicsValue {
  height: 75px;
  width: 100px;
}

.detailCharacteristicsValue>div {
  position: relative;
  width: 65px;
  height: 65px;
  
  margin: 6.5px auto;
  
  border-radius: 50%;
  
  font-size: 40px;
  line-height: 40px;
}

.detailCharacteristicsValue>div>span {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.detailCharacteristicsName {
  --notchSize: 5px;
  
  position: absolute;
  bottom: 5px;
  left: 3px;
  width: 94px;
  margin: auto;
  
  font-size: 13px;
  
  /* padding: var(--notchSize); */
  clip-path: polygon(
    0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)) );
}

#detailDerivedWrapper {
  display: flex;
  max-width: 750px;
  flex-wrap: wrap;
  justify-content: space-around;
}

.detailDerived {
  --notchSize: 20px;
  
  display: inline-block;
  position: relative;
  
  width: 150px;
  height: 100px;
  
  margin-right: 5px;
  margin-bottom: 10px;
  padding: var(--notchsize);
  
  text-align: center;
  
  clip-path: polygon( 0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)) );
}

.detailDerived:after {
  --notchSize: 19px;
  content: '';
  display: block;
  position: absolute;
  top: 0px;
  z-index: -1;
  width: 145px;
  height: 95px;
  margin: 2.5px 0 0 2.5px;
  
  clip-path: polygon( 0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)) );
}

.detailDerivedLabel {
  --notchSize: 12.5px;
  display: inline-block;
  width: 133px;
  height: 25px;
  margin-top: 5px;
  padding: var(--notchsize);
  clip-path: polygon( 0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)));
}

.detailDerivedValue {
  height: 100%;
  width: 100%;
  padding-top: 35px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 40px;
}

#detailSkillsWrapper>.tableWrap,
#detailWeaponsWrapper>.tableWrap {
  --notchSize: 15px;
  
  max-width: 750px;
  
  padding: calc(var(--notchSize)/2);
  padding-bottom: var(--notchSize);
  
  clip-path: polygon(
    0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)) );
}

#detailSkillsWrapper>.tableWrap>.table,
#detailWeaponsWrapper>.tableWrap>.table {
  margin-bottom: 0;
}

#detailSkillsLabel>span,
#detailWeaponsLabel>span {
  --notchSize: 12.5px;
  position: relative;
  top: 12.5px;
  z-index: 1;
  display: inline-block;
  width: 150px;
  height: 25px;
  padding: var(--notchsize);
  
  clip-path: polygon( 0% var(--notchSize),
    var(--notchSize) 0%,
    calc(100% - var(--notchSize)) 0%,
    100% var(--notchSize),
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    var(--notchSize) 100%,
    0% calc(100% - var(--notchSize)));
}

.groupSizeControl {
  font-weight: bold;
  cursor: pointer;
}

#detailTalentsLabel,
#detailAbilitiesLabel,
#detailForcePowersLabel,
#detailGearLabel {
  --notchSize: 10px;
  
  margin-bottom: 5px;
  padding: var(--notchSize);
  padding-left: 15px;
  
  font-weight: bold;
  
  clip-path: polygon(
    0% 0%,
    100% 0%,
    100% calc(100% - var(--notchSize)),
    calc(100% - var(--notchSize)) 100%,
    0% 100% );
}



/****************************
* Edge Of The Empire Theme
****************************/
.theme-EoE * {
  --colorPrimary: #45231e;
  --colorSecondary: #9b4f32;
  --colorLink: red;
  
  --colorCharacteristicBackground: #51634b;
  --colorPrimaryLabel: #354456;
  --colorWrapperContainerBackground: #e0e0e0;
  --colorSidebarContainerBackground: transparent;
  --colorPrimaryContainerBackground: transparent;
  --colorDerivedBackground: #ffffff;
  --colorDerivedBorder: #4d585c;
  --colorTableBorder: #000000;
  
  --colorLightText: #ffffff;
  --colorDarkText: #000000;
  
  --colorPrimaryTransparent: #45231e69;
  --colorSecondaryTransparent: #9b4f3269;
  --colorSheetTableBackgroundTransparent: #a29b934d;
  
  --colorWhite: #ffffff;
  --colorBlack: #000000;
}

/****************************
* Themeable Elements
****************************/
#navbarTop {
  border-bottom: 3px solid var(--colorPrimary);
  background-color: var(--colorPrimary);
  color: var(--colorSecondary);
}

#wrapper {
  background-color: var(--colorWrapperContainerBackground);
  background-image: url("../img/fresh-snow.png");
}

#sidebarMenu {
  background-color: var(--colorSidebarContainerBackground);
  border-right: 3px solid var(--colorPrimary);
}

#searchBarClearButton {
  background-color: var(--colorSecondary);
  color: var(--colorPrimary);
}

#searchResultList {
/*   border-right: 3px solid #5a2019; */
}

.searchResult {
  border-top: 3px solid var(--colorPrimary);
}

.searchResult.selected {
  background-color: var(--colorPrimary);
  color: var(--colorLightText);
}

.os-theme-block-dark>.os-scrollbar-horizontal>.os-scrollbar-track:before,
.os-theme-block-dark>.os-scrollbar-vertical>.os-scrollbar-track:before {
  background-color: var(--colorSecondaryTransparent);
}

.os-theme-block-dark.os-host-scrolling>.os-scrollbar-horizontal>.os-scrollbar-track:before,
.os-theme-block-dark.os-host-scrolling>.os-scrollbar-vertical>.os-scrollbar-track:before {
  background-color: var(--colorSecondaryTransparent);
}

.os-theme-block-dark>.os-scrollbar>.os-scrollbar-track>.os-scrollbar-handle:before {
  background-color: var(--colorSecondary);
}

.os-theme-block-dark>.os-scrollbar>.os-scrollbar-track>.os-scrollbar-handle:hover:before,
.os-theme-block-dark>.os-scrollbar>.os-scrollbar-track>.os-scrollbar-handle.active:before {
  background-color: var(--colorPrimary);
}

.os-theme-block-dark.os-host-scrolling>.os-scrollbar>.os-scrollbar-track>.os-scrollbar-handle:before {
  background-color: var(--colorPrimary);
}

#mainContainer {   
  background-color: var(--colorPrimaryContainerBackground);
}

#detailName {
  background-color: var(--colorPrimary);
  border-top: 3px solid var(--colorSecondary);
  color: var(--colorLightText);
}

.detailCharacteristicsBackgroundBar {
  background-color: var(--colorCharacteristicBackground);
}

.detailCharacteristicsValue>div {
  border: 5px double var(--colorBlack);
  background-color: var(--colorWhite);
}

.detailCharacteristicsName {
  background-color: var(--colorPrimary);
  color: var(--colorLightText);
}

.detailDerived {
  background-color: var(--colorDerivedBorder);
}

.detailDerived:after {
  background-color: var(--colorDerivedBackground);
}

.detailDerivedLabel {
  background-color: var(--colorPrimaryLabel);
  color: var(--colorLightText);
}

#detailSkillsWrapper>.tableWrap,
#detailWeaponsWrapper>.tableWrap {
  background-color: var(--colorSheetTableBackgroundTransparent);
}

#detailSkillsWrapper>.tableWrap>.table th,
#detailWeaponsWrapper>.tableWrap>.table th {
  border: none;
}

#detailSkillsWrapper>.tableWrap>.table tbody,
#detailWeaponsWrapper>.tableWrap>.table tbody {
  border: 1px solid var(--colorTableBorder);
}

#detailSkillsWrapper>.tableWrap>.table td,
#detailWeaponsWrapper>.tableWrap>.table td {
    border: 1px dotted var(--colorTableBorder);
    border-left: 1px dashed var(--colorTableBorder);
}

#detailSkillsLabel>span,
#detailWeaponsLabel>span {
  background-color: var(--colorPrimaryLabel);
  color: var(--colorLightText);
}

.groupSizeControl {
  color: var(--colorLink);
}

#detailTalentsLabel,
#detailAbilitiesLabel,
#detailForcePowersLabel,
#detailGearLabel {
  background-color: var(--colorPrimary);
  color: var(--colorLightText);
}












@media (max-width: 768px) {
/*     #sidebar {
        margin-left: -250px;
    }
    #sidebar.active {
        margin-left: 0;
    } */
  
  #sidebarMenu {
    max-width: 100vw;
    width: 100vw;
    left: -200vw;
  }
  
  #sidebarMenu.hidden {
  }
  
  #mainContainer {
/*     width: 100vw; */
  }
}
